%define name	task-lamp
%define version	2016
%define release %mkrel 2

Name: %{name}
Version: %{version}
Release: %{release}
Summary: Metapackage for the Linux, Apache, MySQL, Proftp, PHP and Perl server
Group: Tasks
License: GPL
Requires: php-tokenizer
Requires: php-ini
Requires: php-dom
Requires: %{_lib}php5_common5
Requires: php-cli
Requires: php-json
Requires: php-ctype
Requires: php-xml
Requires: php-gettext
Requires: php-openssl
Requires: php-pdo
Requires: php-pdo_sqlite
Requires: php-sysvsem
Requires: php-mbstring
Requires: php-hash
Requires: php-mysql
Requires: php-posix
Requires: php-sysvshm
Requires: php-imap
Requires: php-xmlreader
Requires: php-timezonedb
Requires: php-session
Requires: php-gd
Requires: php-xmlwriter
Requires: php-filter
Requires: apache-mod_php
Requires: php-zlib
Requires: php-ftp
Requires: phpmyadmin
Requires: php-mcrypt
Requires: freetype
Requires: perl-DBD-mysql
Requires: MySQL 
Requires: MySQL-client
Requires: apache-base
Requires: apache-mpm-prefork
Requires: httpd-conf
Requires: apache-mod_php
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: php-mhash
Obsoletes: php-sqlite3
Obsoletes: php-eaccelerator
Obsoletes: php-eaccelerator-admin

%description
This package is a meta-package, meaning that its purpose is to contain
dependencies for running LAMP-server, allowing easy installation of a 
comprehensive LAMP testing/development setup. For a production server, 
you may prefer to install a subset of the dependencies.


%post
echo
echo "To activate, open Configure your Computer"
echo "System -> Manage System Services and turn"
echo "on httpd and mysql. Open your browser"
echo "and go to http://localhost/ It works!"
echo 

%files


%changelog
* Sun Oct 09 2016 adrianomorselli <adrianomorselli> 2016-2uplos2016
- rebuild

* Sun Mar 13 2016 bb <bb> 2016-2pclos2016
- drop php-eaccelerator as it does not work
- with php 5.5.33

* Sun Mar 13 2016 bb <bb> 2016-1pclos2016
- update

* Sun Jun 02 2013 Texstar <texstar at gmail.com> 2013-2pclos2013
- drop php-suhosin

* Fri Apr 12 2013 Texstar <texstat at gmail.com> 2013-1pclos2013
- rebuild for 64bit

* Tue Sep 28 2010 Texstar <texstar at gmail.com> 2010-2pclos2010
- fix package

* Sun Sep 26 2010 Texstar <texstar at gmail.com> 2010-1pclos2010
- update for 2010 release

* Sat May 02 2009 Texstar <texstar@gmail.com> 2009.1-2pclos2009
- fix group

* Tue Mar 24 2009 Texstar <texstar@gmail.com> 2009.1-1pclos207
- 2009.1 rebuild

